org.eclipse.graphiti.mm.algorithms.styles

## Interface GradientColoredLocation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GradientColoredLocationImpl

    public interface GradientColoredLocation
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gradient Colored Location'.

The following features are supported:

- `Location Type`
- `Location Value`
- `Color`

See Also:
  `StylesPackage.getGradientColoredLocation()`

### Method Summary

All Methods Instance Methods Abstract Methods
`Color` `getColor()` Returns the value of the 'Color' containment reference.
`LocationType` `getLocationType()` Returns the value of the 'Location Type' attribute.
`java.lang.Integer` `getLocationValue()` Returns the value of the 'Location Value' attribute.
`void` `setColor(Color value)` Sets the value of the '`Color`' containment reference.
`void` `setLocationType(LocationType value)` Sets the value of the '`Location Type`' attribute.
`void` `setLocationValue(java.lang.Integer value)` Sets the value of the '`Location Value`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getLocationType

    LocationType getLocationType()

Returns the value of the 'Location Type' attribute. The literals are from the enumeration `LocationType`.

If the meaning of the 'Location Type' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Location Type' attribute.
See Also:
  `LocationType`, `setLocationType(LocationType)`, `StylesPackage.getGradientColoredLocation_LocationType()`

#### setLocationType

    void setLocationType(LocationType value)

Sets the value of the '`Location Type`' attribute.

Parameters:
  `value` - the new value of the 'Location Type' attribute.
See Also:
  `LocationType`, `getLocationType()`

#### getLocationValue

    java.lang.Integer getLocationValue()

Returns the value of the 'Location Value' attribute.

If the meaning of the 'Location Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Location Value' attribute.
See Also:
  `setLocationValue(Integer)`, `StylesPackage.getGradientColoredLocation_LocationValue()`

#### setLocationValue

    void setLocationValue(java.lang.Integer value)

Sets the value of the '`Location Value`' attribute.

Parameters:
  `value` - the new value of the 'Location Value' attribute.
See Also:
  `getLocationValue()`

#### getColor

    Color getColor()

Returns the value of the 'Color' containment reference.

If the meaning of the 'Color' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Color' containment reference.
See Also:
  `setColor(Color)`, `StylesPackage.getGradientColoredLocation_Color()`

#### setColor

    void setColor(Color value)

Sets the value of the '`Color`' containment reference.

Parameters:
  `value` - the new value of the 'Color' containment reference.
See Also:
  `getColor()`